@charset "UTF-8";
@import url("https://fonts.googleapis.com/css?family=Nanum+Pen+Script|Roboto");

.menu{
    width: 100%;
    height: 50px; /*Usando PX, a cor do menu preenche a linha toda e empurra os elementos do lado para baixo.*/
    background-color: rgb(12, 0, 0);
    font-family: "Roboto", sans-serif;
}

.menu ul{
    display: flex;
    justify-content: center;
    list-style: none;
    margin: 0;
    padding-inline-start: 0px;
}

.menu ul li{
    width: auto;
    float: left;
}

.menu a {
    padding: 15px;
    display: block;
    text-decoration: none;
    text-align: center;
    background-color: #222;
    color: white;
}

.menu ul ul{
    position: absolute;
    visibility: hidden;
}

.menu ul li:hover ul {
    visibility: visible;
}

.menu a:hover{
    background-color: #f4f4f4;
    color: #555;
}

.menu ul ul li{
    float: none;
    border-bottom: solid 1px #ccc;
}

.menu ul ul li a{
    background-color: #069;;
}

#bt_menu{
    display: none;
}

label[for="bt_menu"]{
    padding: 5px;
    background-color: #222;
    color: #fff;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    font-size: 30px;
    cursor: pointer;
    width: 50px;
    height: 50px;
}
label[for="bt_menu"]{
    display: none;
}

@media (min-width: 300px) and (max-width: 900px){
    label[for="bt_menu"]{
        display: block;
    }
    .menu ul{
        display: block;
        margin: 0 auto;
        width: 100%;
        padding: 0;
    }
    .menu{
        position: fixed;
        margin-left: -100%;
        transition: all .4s;
    }
    .menu ul li{
        width: 100%;
        float: none;
    }
    .menu ul ul{
        position: static;
        overflow: hidden;
        max-height: 0;
        transition: all .4s;
    }

    .menu ul li:hover ul{
        height: auto;
        max-height: auto;
    }
    #bt_menu:checked ~ .menu{
        margin-left: 0;
    }
}